The forum

Windows Media Player

Author Replies
JustLikeThat Sunday 19 May 2013 at 18:12
JustLikeThatAnonymous

Hello to all,
I installer WMP 10 by using POL to view WMV files, couse my Linux players give me a g2m3 codec error.
Wine version 1.4 POL version 4.2.1
Ubuntu 12.04 LTS

And the question is why do I get permision errors when adding a WMV file to play when I play them directly from Download directory?
By the way when I installed WMP 10, I launched a WMV file and got an error: No codec press web help to download codec. The button didnt work so I added dotnet in POL configurations for WMP, now I just get access error.

And I'm here couse I failed using g2m3 codec on Linux by this tutorial (http://askubuntu.com/questions/189811/required-plugin-could-not-be-found  )
xpander Sunday 19 May 2013 at 18:28
xpander

try VLC
http://www.videolan.org/index.html

never had any codecs problems with thatone
JustLikeThat Sunday 19 May 2013 at 18:30
JustLikeThatAnonymous

I Got a g2m codec error on VLC, thats why I'm trying to use WMP
JustLikeThat Sunday 19 May 2013 at 18:30
JustLikeThatAnonymous

I Got a g2m codec error on VLC, thats why I'm trying to use WMP
Ronin DUSETTE Sunday 19 May 2013 at 19:18
Ronin DUSETTE
Admin

You usually to do this to play restricted formats:


sudo apt-get install ubuntu-restricted-extras ubuntu-restricted-addons


Try that. VLC plays everything that I have thrown at it, if all of the restricted codecs are installed.

Please:
Post debug logs & full computer specs in first post
No private messages for general help, use the forums
Read the wiki, Report broken scripts
JustLikeThat Sunday 19 May 2013 at 19:26
JustLikeThatAnonymous


Terminal Output for installing restricted plugins, what is going wrong ?

jm@JMEmoKpecmbI:~$ sudo apt-get -f install ubuntu-restricted-extras ubuntu-restricted-addons
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
w32codecs : Depends: libstdc++5 (>= 1:3.3.4-1) but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

Edited by JustLikeThat

Ronin DUSETTE Sunday 19 May 2013 at 19:34
Ronin DUSETTE
Admin

You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
w32codecs : Depends: libstdc++5 (>= 1:3.3.4-1) but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

Quote


Read the errors better. hahaha. It tells you exactly what you are missing and the exact command to fix it. ALWAYS read your errors. They usually tell you wahts wrong.

w32codecs are not install because you dont have libstdc++5 installed.

If you read the error, it says to type:


sudo apt-get -f install


Try that, and it should work for you.

Please:
Post debug logs & full computer specs in first post
No private messages for general help, use the forums
Read the wiki, Report broken scripts
JustLikeThat Sunday 19 May 2013 at 19:58
JustLikeThatAnonymous

Now I installed ubuntu-restricted-extras ubuntu-restricted-addons but still got the same error on VLC :
No suitable decoder module:
VLC does not support the audio or video format "G2M3". Unfortunately there is no way for you to fix this.

Got only sound
Ronin DUSETTE Sunday 19 May 2013 at 20:20
Ronin DUSETTE
Admin

Try a different media player. Also, make sure that w32codecs is installed:


sudo apt-get install w32codecs


Thats also a proprietary go2meeting file format. You may only be able to play it on WMP. Unless you can find that codec for Linux.

Please:
Post debug logs & full computer specs in first post
No private messages for general help, use the forums
Read the wiki, Report broken scripts
JustLikeThat Sunday 19 May 2013 at 20:24
JustLikeThatAnonymous

Yes I installed w32codecs. So thats why I want to solve WMP problem with the access/vision.
Ronin DUSETTE Sunday 19 May 2013 at 20:31
Ronin DUSETTE
Admin

Well, I dont think that even WMP will play it, because you will still need the go2meeting codec to run it. The error you are getting is not a because its a WMV file. It doesnt matter what the extension is, but what it was encoded in. So, even though its a WMV file, its still a proprietary codec.

And the question is why do I get permision errors when adding a WMV file to play when I play them directly from Download directory?

Quote


Can you be more specific? And where is your download directory? Did you install WMP to a different place than your home folder? Are you running PlayOnLinux as sudo for some reason?

By the way when I installed WMP 10, I launched a WMV file and got an error: No codec press web help to download codec. The button didnt work so I added dotnet in POL configurations for WMP, now I just get access error.

Quote


I dont know why you would install dotnet. The error gave no indication that you needed to. You shouldnt install components into virtual drives unless you know it will work or are trying to correct an error. You will need to delete your virtual drive and reinstall WMP, then try to manually find the G2M3 codec online and manually insert it into your virtual drive.

Please:
Post debug logs & full computer specs in first post
No private messages for general help, use the forums
Read the wiki, Report broken scripts
JustLikeThat Sunday 19 May 2013 at 20:49
JustLikeThatAnonymous

I'm not using sudo to run PlayOnlInux.
The directory with the wmv file is on my Desktop and I just drag it into WMP playlist.

I also have a g2m codec and I dont know how to install it on linux (think it will be easyer to install it on WMP)

Mb there is a way to conver the format so I can use VLC on Linux ?
Ronin DUSETTE Sunday 19 May 2013 at 21:32
Ronin DUSETTE
Admin

There are all types of converters, but you still have to have the codec to decode the video file and encode it to something else.

You have the g2m codec for linux? If so, it should come with directions on how to compile and install it.

It may be easier to install it in the same virtual drive with WMP, which is why I suggested that you do that manually. I still think that installing the native codec for linux. This is a good time to learn how to compile software. Its really easy.

Please:
Post debug logs & full computer specs in first post
No private messages for general help, use the forums
Read the wiki, Report broken scripts